body {
	font: 12px ubuntu, sans-serif;
	font-weight: 600;
	color: white;
	text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black, -1px -1px black, -1px 1px black, 1px 1px black, 1px -1px black;
	border: none;
	margin: 5px;
	overflow: none;
}

#noscript {
	background-color: red;
	left: 0;
	text-align: center;
	top: 0;
	padding: 5px;
	position: fixed;
	width: 100%;
	z-index: 10;
}

#noscript h1 {
	font-size: 1.8em;
}

#game {
	position: fixed; 
	top: 0; 
	left: 0; 
	padding:0;
	margin: 0;
	width:100%;
	height:100%;
	background-color: #CDCDCD;
}

.ubuntu {
	font-family: ubuntu, sans-serif;
}

textarea {
	background-color: #f8f8f8;
	color: black;
	resize: none;
	width: 150px;
	height: 40px;
	line-height: 14px;
	font: 12px/16px ubuntu, sans-serif;
	font-weight: 600;
	border: 2px solid black;
	border-radius: 3px;
	user-select: text;
	padding: 1px;
	-moz-user-select: text;
	-webkit-user-select: text;
	-ms-user-select: text;
}

input {
	background-color: #f8f8f8;
	color: black;
	resize: both;
	line-height: 14px;
	font: 12px/16px ubuntu, sans-serif;
	font-weight: 600;
	border: 2px solid black;
	border-radius: 3px;
	user-select: text;
	padding: 1px;
	-moz-user-select: text;
	-webkit-user-select: text;
	-ms-user-select: text;
}

select {
	background-color: #f8f8f8;
	color: black;
	resize: none;
	width: 96px;
	height: 23px;
	line-height: 14px;
	font: 12px/16px ubuntu, sans-serif;
	font-weight: 600;
	border: 2px solid black;
	border-radius: 3px;
	padding: 1px;
}

textarea:hover, textarea:focus, select:hover, select:focus{
	background-color: white;
}

/* Default for all buttons */
button {
	background-color: #8B8B8B; 
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, rgba(173,173,173,1) 50%);
	border: 2px solid #333333;
	border-radius: 2px;
	color: white;
	width: 100px;
	line-height: 15px;
	text-align: center;
	text-decoration: none;
	text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black, -1px -1px black, -1px 1px black, 1px 1px black, 1px -1px black;
	display: inline-block;
	font-size: 11px;
	font-weight: 600;
	padding: 1px;
}

button:hover, .toggle label:hover {
	background-color: #989898;
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, rgba(198,198,198,1) 50%);
}

button:active, .toggle label:active {
	background-color: #8A8A8A;
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, rgba(111,111,111,1) 50%);
}
/* End buttons */

/* Checkboxes - use for default */
.toggle {
	width: 55px;
	height: 20px;
	background: #333333;
	margin: 20px auto;
	position: relative;
	border-radius: 2px;
}

.toggle:after {
	content: 'OFF';
	color: #F14E54;
	position: absolute;
	right: 3px;
	z-index: 0;
	font: 12px/19px ubuntu, sans-serif;
	font-weight: 600;
}

.toggle:before {
  content: 'ON';
  color: #00E16E;
  position: absolute;
  left: 3px;
  z-index: 0;
	font: 12px/19px ubuntu, sans-serif;
	font-weight: 600;
}

.toggle label {
	display: block;
	width: 25px;
	height: 16px;
	cursor: pointer;
	position: absolute;
	top: 1px;
	left: 1px;
	z-index: 1;
	background-color: #8B8B8B; 
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, rgba(173,173,173,1) 50%);
	border: 1px solid #333333;
	border-radius: 2px;
	transition: all 0.1s ease;
}

.toggle input[type=checkbox] {
  visibility: hidden;
}

.toggle input[type=checkbox]:checked + label {
	left: 27px;
}
/* End checkboxes */

kbd {
	box-shadow: 0 3px 0px 0 #aaa;
	background-color: #ddd;
	border: 1px solid #bbb;
	border-radius: 0.2em;
	color: black;
	font-weight: 600;
	line-height: 1.5em;
	text-align: center;
	text-decoration: none;
	text-shadow: none;
	margin: 0em 0.13em;
	padding: 0.0em 0.5em;
}

#watermark {
	position: absolute;
	right: 10px;
	font: 'ubuntu', sans-serif;
}

#editbutton {
	z-index: 5;
	position:fixed;
	width: 80px;
}

#infobutton {
	z-index: 5;
	position:fixed;
	font-size: 16px;
	width: 25px;
	margin-left: 78px;
	padding: 1px;
}

.spawn {
	z-index: 0;
	position:fixed;
	font-size: 16px;
	width: 19px;
	margin-left: 101px;
	background-color: #8B8B8B; 
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, rgba(173,173,173,1) 50%);
	border: 2px solid #333333;
	border-radius: 2px;
	line-height: 15px;
	text-align: center;
	padding: 1px;
}

.spawn:hover {
		background-color: #989898;
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, rgba(198,198,198,1) 50%);
}

.spawn:active {
	background-color: #8A8A8A;
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, rgba(111,111,111,1) 50%);
}

.spawn label {
	position: absolute;
	top: 0px;
	left:4px;
}

.spawn label:after {
	content: 'Ã¢Â¬Å¸';
	color: #00E16E;
	text-shadow: none;
	width: 25px;
	height: 19px;
	position: absolute;
	left: -6px;
	opacity: 0;
}

.spawn label:hover::after {
	opacity: 0.3;
}

.spawn input[type=checkbox] {
	visibility: hidden;
}

.spawn input[type=checkbox]:checked + label:after {
	opacity: 1;
}

#settingsbutton {
	z-index: 5;
	position:fixed;
	font-size: 16px;
	width: 25px;
	margin-left: 124px;
	padding: 1px;
}

.editbuttons {
	z-index: 5;
	position:fixed;
	visibility: hidden;
}

#exportButton:hover {
	background-color: #95CB79;
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, #B6FA94 50%);
}

#exportButton:active {
	background-color: #95CB79;
	background-image: linear-gradient(0deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 40%, #70995C 50%);
}

#importButton:hover {
	background-color: #7993CB;
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, #92B2F8 50%);
}

#importButton:active {
	background-color: #7993CB;
	background-image: linear-gradient(0deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 40%, #6E86BA 50%);
}

#clearButton:hover {
	background-color: #CB7979;
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, #F89292 50%);
}

#clearButton:active {
	background-color: #CB7979;
	background-image: linear-gradient(0deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 40%, #B86C6C 50%);
}

#applyButton:hover {
	background-color: #95CB79;
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, #B6FA94 50%);
}

#applyButton:active {
	background-color: #95CB79;
	background-image: linear-gradient(0deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 40%, #70995C 50%);
}

#resetButton:hover {
	background-color: #CB7979;
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, #F89292 50%);
}

#resetButton:active {
	background-color: #CB7979;
	background-image: linear-gradient(0deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 40%, #B86C6C 50%);
}

#showButton:hover {
	background-color: #95CB79;
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, #B6FA94 50%);
}

#showButton:active {
	background-color: #95CB79;
	background-image: linear-gradient(0deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 40%, #70995C 50%);
}

#hideButton:hover {
	background-color: #CB7979;
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, #F89292 50%);
}

#hideButton:active {
	background-color: #CB7979;
	background-image: linear-gradient(0deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 40%, #B86C6C 50%);
}

#barrelsInput {
	width: 190px;
	height: 40px;
}

#sliderBG {
	border-radius: 3px;
    background: #555;
}

#togglePrev {
	border-radius: 3px;
}

#help {
    border: 2px solid #333333;
	border-radius: 3px;
    background: #555;
}

#tools {
	position: fixed;
	top: 0;
	left: 0;
	height: 100%;
	width: 240px;
    border-right: 2px solid #333;
    background: #555;
	overflow-y: scroll;
}

#tank-creation {
	position: absolute;
	top: 0;
	left: 0;
	height: 195px;
	width: 100%;
	border-bottom: 2px solid #333;
}

#Reddit {
	position: fixed;
	bottom: -110px;
	right: 5px;
	width: 150px;
	transition: 0.25s;
	transition-timing-function: ease-out;
}

#Reddit:hover {
	position: fixed;
	bottom: 5px;
	right: 5px;
	width: 150px;
}

#delButton1:hover {
	background-color: #CB7979;
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, #F89292 50%);
}
#delButton2:hover {
	background-color: #95CB79;
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, #B6FA94 50%);
}

#scene-tools {
	position: absolute;
	top: 195px;
	left: 0;
	height: 190px;
	width: 100%;
	border-bottom: 2px solid #333;
}

#ftb-import {
	position: absolute;
	top: 385px;
	left: 0;
	height: 165px;
	width: 100%;
	border-bottom: 2px solid #333;
}

#toggleHelp:hover {
	background-color: #95CB79;
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, #B6FA94 50%);
}

#toggleHelp:active {
	background-color: #95CB79;
	background-image: linear-gradient(0deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 40%, #70995C 50%);
}

#convert:hover {
	background-color: #7993CB;
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, #92B2F8 50%);
}

#convert:active {
	background-color: #7993CB;
	background-image: linear-gradient(0deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 40%, #6E86BA 50%);
}

#rdiepio:hover {
	background-color: #7993CB;
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, #92B2F8 50%);
}

#rdiepio:active {
	background-color: #7993CB;
	background-image: linear-gradient(0deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 40%, #6E86BA 50%);
}

#rdsm:hover {
	background-color: #7993CB;
	background-image: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, #92B2F8 50%);
}

#rdsm:active {
	background-color: #7993CB;
	background-image: linear-gradient(0deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 40%, #6E86BA 50%);
}
